@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300,600&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Dancing+Script&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Wix+Madefor+Display&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Great+Vibes&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@400&display=swap');

html
{
  -webkit-tap-highlight-color:transparent;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    background: #e7e7e7;
    user-select: none;
}

.reveal{
    position: relative;
    transform: translateY(150px);
    opacity: 0;
    transition: 1s all ease;
  }
  
.reveal.active{
    transform: translateY(0);
    opacity: 1;
}






/*---- Navbar ----*/
nav{
    /*background: #282828;*/
    background: #cccccc;
    font-family: 'Nunito', sans-serif;
    width: 92%;
    margin: auto;
    border-radius: 0 0 10px 10px;
    box-shadow: 0 2px 4px 0 rgba(0,0,0,.2);
    user-select: none;
}

nav:after{
    content: "";
    clear: both;
    display: table;
}

nav ul{
    float: right;
    list-style: none;
    margin-right: 40px;
    position: relative;
}

nav ul li{
    float: left;
    display: inline-block;
    /*background: #282828;*/
    background: #cccccc;
    margin: 5px 5px;
}

nav ul li a{
    color: #292929;
    text-decoration: none;
    line-height: 70px;
    font-size: 18px;
    padding: 8px 7px;
    transition: .1s;
}

ion-icon{
    font-size: 22px;
}

nav ul ul{
    position: absolute;
    top: 90px;
    opacity: 0;
    visibility: hidden;
    transition: top .2s;
    z-index: 1000;
}

nav ul li:hover > ul{
    top: 70px;
    opacity: 1;
    visibility: visible;
}

nav ul ul li{
    position: relative;
    float: none;
    margin: 0px;
    width: 260px;
    display: list-item;
    border-bottom: 1px solid rgba(0, 0, 0, 0.3);
}

nav ul ul li:hover{
    background: #717171;
}

nav ul ul li:hover > a{
    color: #fff;
    background: none;
    border-bottom: none;
}

nav ul ul li a{
    line-height: 50px;
}

nav ul ul li a:hover{
    box-shadow: none;
}

nav .logo{
    float: left;
    line-height: 70px;
    padding-left: 15px;
    margin-top: 5px;
    margin-bottom: 5px;
}

nav .logo img{
    width: 70px;
    height: 70px;
}

nav ul li a:hover{
    border-bottom: 3px solid #858585;
}

.show, .icon, input{
    display: none;
}

.lang-log > a:hover{
    background: none;
    border-bottom: none;
    color:#000;
}






/*----- Footer -----*/
.container{
    margin: auto;
    background: #24262b;
    padding: 70px 0;
}

.row{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.footer-col{
    width: 25%;
    padding: 0 15px;
}

.footer-col h4{
    font-size: 18px;
    color: #fff;
    margin-bottom: 35px;
    font-weight: 500;
    position: relative;
}

.footer-col h4::before{
    content: '';
    position: absolute;
    left: 0;
    bottom: -10px;
    background: #ffc500;
    height: 2px;
    box-sizing: border-box;
    width: 50px;
}

.footer-col ul{
    list-style: none;
}

.footer-col ul li a{
    font-size: 16px;
    text-decoration: none;
    color: #bbbbbb;
    display: block;
    margin-bottom: 10px;
    transition: all .3s ease;
}

.footer-col ul li a:hover{
    color: #fff;
    padding-left: 6px;
}

.footer-col .social-link a{
    display: inline-block;
    height: 40px;
    width: 40px;
    background: rgba(255, 255, 255, .2);
    margin: 0 10px 0 10px;
    font-size: 30px;
    text-align: center;
    line-height: 40px;
    border-radius: 50%;
    color: #fff;
    transition: all .3s ease;
    transition-property: transform;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    transform: translateZ(0);
}

.footer-col .social-link a:hover{

     transform: scale(1.1);
}

#newsletter, #btn-newsletter{
    display: block;
}





/*--------------- Pagina HOTEL ------------------*/
/*--- Se in una riga c'è una sola card, usa questa classe ---*/
.card-hotel-grid-1{
    display: grid;
    grid-template-columns: auto;
    grid-row-gap: 30px;
    width: 100%;
    place-items: center;
    margin-top: 15px;
    align-items: start;
}

/*--- Se in una riga ci sono due cards, usa questa classe ---*/
.card-hotel-grid-2{
    display: grid;
    grid-template-columns: auto auto;
    grid-row-gap: 30px;
    width: 100%;
    place-items: center;
    margin-top: 15px;
    align-items: start;
}

/*--- Se in una riga ci sono 3 o più cards, usa questa classe ---*/
.card-hotel-grid-3{
    display: grid;
    grid-template-columns: auto auto auto;
    grid-row-gap: 30px;
    width: 100%;
    place-items: center;
    margin-top: 15px;
    align-items: start;
}

/*--- Questo e' l'involucro esterno della card ---*/
.card-hotel{
    width: 280px;
    border-radius: 10px;
    background: #ececec;
    box-shadow: 1px 2px 3px 0 rgba(0,0,0,.6);   
}

/*--- Questa e' la div contenente l'immagine nella card, non l'immagine ---*/
.card-hotel-img{
    position: relative;
    width: 100%;
    height: 150px;
    overflow: hidden;
}

/*--- Questa e' l'immagine ---*/
.card-hotel-img img{
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 0.5s ease-in-out;
    border-radius: 10px 10px 0 0;
}

/*--- Questo e' il nome dell'albergo ---*/
.card-body #title{
    font-family: 'Nunito', sans-serif;
    font-size: 18px;
    text-align: center;
    padding: 5px 5px;
}

.card-body #more{
    display: none; 
    font-family: 'Nunito', sans-serif;
    font-size: 15px;
    text-align: center;
}

.card-hotel.active .card-body #more{
    display: block;
}

.card-hotel .readmore{
    color: #717171;
    font-family: 'Nunito', sans-serif;
    font-size: 15px;
    text-align: center;
}

.card-hotel .readmore:hover{
    cursor: pointer;
    color: #292929;
}

.card-hotel .readmore::before{
    content: 'Più informazioni';
}

.card-hotel.active .readmore::before{
    content: 'Mostra meno';
}


/*.card-hotel .card-hotel-img img:hover{
    transform: scale(1.1);
}*/




/*---- Responsive ----*/
@media all and (max-width: 1320px) {
    nav ul{
        margin-right: 5px;
        float: left;
        text-align: center;
    }

    nav .logo{
        padding-left: 10px;
        width: 100%;
    }

    nav ul li, nav ul ul li{
        display: block;
        width: 100%;
    }

    nav ul ul li a{
        font-size: 20px;
    }

    nav ul ul{
        top: 70px;
        position: static;
        border-top: none;
        float: none;
        display: none;
        opacity: 1;
        visibility: visible;
    }

    /*nav ul ul ul li{
        position: static;
    }

    nav ul ul ul a{
        padding-left: 80px;
    }*/

    .show{
        display: block;
        color: #292929;
        font-size: 20px;
        padding: 0 20px;
        line-height: 70px;
        cursor: pointer;
    }

    .icon{
        display: block;
        color: #24262b;
        position: absolute;
        right: 80px;
        line-height: 70px;
        font-size: 45px;
        cursor: pointer;
    }

    nav ul li a:hover{
        box-shadow: none;
    }

    .show + a, ul{
        display: none;
    }

    [id^=btn]:checked + ul{
        display: block;
    }

    .footer-col ul{
        display: block;
    }
}


@media only screen and (max-width:1000px){
    .hero-content{
        margin-top: 160px;
    }

    .hero-content > p{
        font-size: 45px;
    }

    .slideshow-container img{
        height: 400px;
    }
}
@media only screen and (max-width:650px){
    .hero-content > p{
        font-size: 30px;
    }

    .grid-pl{
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: 1fr;
        grid-row-gap: 30px;
        width: 100%;
        place-items: center;
    }
    
    .grid-pl .logocomune img{
        width: auto;
        max-height: 100px;
        margin-bottom: 10px;
    }
}



@media only screen and (max-width:300px){
    .prev, .next, .text{
        display: none;
    }

    .dot{
        height: 10px;
        width: 10px;
    }
}

@media only screen and (max-width:500px){
    .prev, .next{
        font-size: 14px;
    }

    .slideshow-container img{
        height: 250px;
    }

    .hero-content{
        margin-top: 100px;
    }

    .hero-content a{
        border: 2px solid #292929;
        padding: 2px 10px;
        color: #000;
        font-size: 16px;
        text-decoration: none;
        transition: 0.3s;
        font-family: 'Wix Madefor Display', sans-serif;
        user-select: none;
        box-shadow: 1px 2px 4px 0 rgba(0,0,0,.8);
    }
}

@media (max-width:767px) {
    .footer-col{
        width: 50%;
        margin-bottom: 30px;
        display: block;
    }
}

@media (max-width:567px) {
    .footer-col{
        width: 100%;
    }

    .header__center{
        font-size: 20px;
    }

    .grid{ 
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        grid-template-rows: 1fr;
        grid-row-gap: 30px;
        width: 100%;
        place-items: center;
    }
    
    .grid-item{
        width: 100%;
        text-align: center;
    }
    
    .grid img{
        width: auto;
        height: 100px;
    }
    
    .grid-item .logotext{
        font-size: 18px;
        text-align: center;
    }
    
    

    .prev, .next{
        display: none;
    }

    .text{
        font-size: 18px;
    }
}


@media (max-width:280px){
    nav .logo img{
        width: 50px;
        height: 50px;
    }

    .show{
        height: 50px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    nav ul ul li a{
        line-height: 32px;
    }

    nav ul ul li a, .show{
        font-size: 15px;
    }

    .icon{
        right: 30px;
    }

    .hero-content{
        margin-top: 30px;
    }

    .hero-content p{
        width: 70%;
        margin: auto;
    }

    .slideshow-container img{
        height: 150px;
    }
}




